package net.wanji.databus.dao.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.sql.Date;

/**
 * @ClassName CrossSchemeOptLog
 * @Description 路口方案优化记录表
 * @Author zhouleilei
 * @Date 2024/11/23 14:23
 */
@Data
@TableName("t_cross_scheme_opt_log")
public class CrossSchemeStageOptLogPO {

    @ApiModelProperty(value = "路口编号")
    private String crossId;

    @ApiModelProperty(value = "方案号")
    private Integer schemeId;

    @ApiModelProperty(value = "相位编号")
    private String phaseNo;

    @ApiModelProperty(value = "阶段对应的相位号")
    private String phaseList;

    @ApiModelProperty(value = "相位时长")
    private Integer phaseTime;

    @ApiModelProperty(value = "优化结果：1-成功 2-失败")
    private Integer optResult;

    @ApiModelProperty(value = "请求信息")
    private String dataInfo;

    @ApiModelProperty(value = "数据批次时间")
    private Long batchTime;

    @ApiModelProperty(value = "数据插入时间")
    private Date insertTime;

}
