package net.wanji.databus.dao.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @ClassName CrossSchemeOptLog
 * @Description 命令操作日志
 * @Author zhouleilei
 * @Date 2024/12/30 11:23
 */
@Data
@TableName("t_signal_command")
public class SignalCommandPO {

    @ApiModelProperty(value = "路口编号")
    private String crossId;

    @ApiModelProperty(value = "请求信息")
    private String dataInfo;

    @ApiModelProperty(value = "操作类型:1-步进控制/恢复(公用);2-恢复时间表(公用);3-相位锁定/解锁(公用);4-临时方案下发(公用);5-下发命令失败，程序下发恢复指令；10-查询环图失败记录")
    private Integer commandType;

    @ApiModelProperty(value = "优化结果：1-成功 2-失败")
    private Integer commandResult;

    @ApiModelProperty(value = "返回信息")
    private String resultMessage;

    @ApiModelProperty(value = "运行模式 `2=手动锁定当前相位`，`3=手动全红`，`4=手动黄闪`，`5=手动关灯`，`6=全红闪控制`，`7=全黄控制`，`8=正常按计划运行`，`9=手动步进控制`，`10=自动步进控制`，`11=恢复时间表`，`255=临时控制方案`")
    private String runMode;

    @ApiModelProperty(value = "调用IP")
    private String ip;

    @ApiModelProperty(value = "请求时间")
    private String queryTime;

    @ApiModelProperty(value = "灯态时间")
    private String lampTime;

    @ApiModelProperty(value = "数据插入时间")
    private Date insertTime;

    @ApiModelProperty(value = "请求次数，每五秒请求一次，请求两分钟24次")
    private Integer updateCount = 0;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "在线状态 0-离线 1-在线")
    private Integer status;
}
