package net.wanji.databus.dao.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import net.wanji.databus.dao.entity.CrossSchemeStageOptLogPO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @ClassName CrossSchemeOptLogMapper
 * @Description CrossSchemeOptLogMapper
 * @Author zhouleilei
 * @Date 2024/11/23 14:34
 */
public interface CrossSchemeStageOptLogMapper extends BaseMapper<CrossSchemeStageOptLogPO> {
    /**
    * @Description 根据路口号，方案号查询时间戳30分钟前的数据
    * @Param [crossId, pattern, timeStamp]
    * @return java.util.List<net.wanji.databus.dao.entity.CrossSchemeStageOptLogPO>
    **/

    List<CrossSchemeStageOptLogPO> getBeforeTimeList(@Param("crossId") String crossId, @Param("pattern") String pattern, @Param("timeStamp") long timeStamp);

     /**
    * @Description 根据路口号，方案号查询时间戳30分钟后的数据
    * @Param [crossId, pattern, timeStamp]
    * @return java.util.List<net.wanji.databus.dao.entity.CrossSchemeStageOptLogPO>
    **/

    List<CrossSchemeStageOptLogPO> getAfterTimeList(@Param("crossId") String crossId, @Param("pattern") String pattern, @Param("timeStamp") long timeStamp);


}
