package net.wanji.databus.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;

/**
 * @ClassName CrossIdDTO
 * @Description crossId参数
 * @Author zhouleilei
 * @Date 2024/11/8 11:30
 */
@Data
@Valid
@ApiModel(value="根据路口编号查询", description="")
public class CrossIdDTO {
    @ApiModelProperty(value = "路口ID")
    @Pattern(regexp = "^[A-Za-z0-9]{11}$", message = "路口编号只能包含英文、数字，必须11个字符")
    @NotNull(message = "crossId不能为空")
    private String crossId;
}
