package net.wanji.databus.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;
import java.util.Date;

/**
 * @ClassName CrossSchemeRings
 * @Description 5.15. 方案环图请求
 * @Author zhouleilei
 * @Date 2024/11/5 10:37
 */
@Data
@Valid
@ApiModel(value="查询临时方案参数", description="")
public class CrossSchemeQueryDTO {

    @ApiModelProperty(value = "路口ID")
    @Pattern(regexp = "^[A-Za-z0-9]{11}$", message = "路口编号只能包含英文、数字，必须11个字符")
    @NotNull(message = "crossId不能为空")
    private String crossId;

    @ApiModelProperty(value = "方案号")
    @NotNull(message = "pattern 不能为空")
    private String pattern;

    @ApiModelProperty(value = "查询时间 yyyy-MM-dd HH:mm:ss", required = true)
    @NotNull(message = "datetime不可为空")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date datetime;

}
