package net.wanji.databus.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import org.springframework.validation.annotation.Validated;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;

/**
 * @ClassName ExtendPhaseDTO
 * @Description 延长相位
 * @Author zhouleilei
 * @Date 2024/11/5 13:58
 */
@Data
@Builder
@Validated
@ApiModel(value="延长相位", description="延长相位")
public class ExtendPhaseDTO {
    @ApiModelProperty(value = "路口ID")
    @Pattern(regexp = "^[A-Za-z0-9]{11}$", message = "路口编号只能包含英文、数字，必须11个字符")
    @NotNull(message = "crossId不能为空")
    private String crossId;

    @ApiModelProperty(value = "延长时间,单位:s")
    @NotNull(message = "extendTime 不能为空")
    private Integer extendTime;
}
