package net.wanji.databus.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;
import java.util.Date;

/**
 * @ClassName QueryByCrossIdAndTimeDTO
 * @Description 根据路口编号和时间查询参数
 * @Author zhouleilei
 * @Date 2024/12/5 10:11
 */
@Data
public class QueryByCrossIdAndTimeDTO {
    @ApiModelProperty(value = "路口ID")
    @Pattern(regexp = "^[A-Za-z0-9]{11}$", message = "路口编号只能包含英文、数字，必须11个字符")
    @NotNull(message = "crossId不能为空")
    private String crossId;

    @ApiModelProperty(value = "当前日期时间 yyyy-MM-dd HH:mm:ss", required = true)
    @NotNull(message = "datetime不可为空")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date datetime;
}
