package net.wanji.databus.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import org.springframework.validation.annotation.Validated;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;

/**
 * @ClassName StepingPhaseDTO
 * @Description 步进相位
 * @Version 1.0
 * @Author zhouleilei
 * @Date 2024/11/5 16:11
 */
@Data
@Builder
@Validated
@ApiModel(value="步进相位", description="步进相位")
public class StepingPhaseDTO {
    @ApiModelProperty(value = "路口ID")
    @Pattern(regexp = "^[A-Za-z0-9]{11}$", message = "路口编号只能包含英文、数字，必须11个字符")
    @NotNull(message = "crossId不能为空")
    private String crossId;

    @ApiModelProperty(value = "0 顺序步进 n 跳过n个相位")
    @NotNull(message = "stepCount不能为空")
    private Integer stepCount;

    @ApiModelProperty(value = "1 开始步进 0 取消步进")
    @NotNull(message = "command不能为空")
    private Integer command;
}
