package net.wanji.databus.po;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.wanji.databus.config.DoubleToTwoDecimalPlacesSerializer;

import java.util.Date;

/**
 * @author duanruiming
 * @date 2023/03/10 19:36
 */
@Data
@TableName("t_lane_data_realtime")
@ApiModel(value = "CrossLaneDataRealTimePO", description = "路口车道实时数据")
public class CrossLaneDataRealTimePO {
    @ApiModelProperty(name = "车道编号",notes = "")
    private String id;
    @ApiModelProperty(name = "路口编号",notes = "")
    private String crossId;
    @ApiModelProperty(name = "交通流量（辆）",notes = "")
    private Integer flow;
    @ApiModelProperty(name = "平均速度（km/h）",notes = "")
    private Double speed;
    @ApiModelProperty(name = "驶入速度（km/h）",notes = "")
    private Double inSpeed;
    @ApiModelProperty(name = "驶出速度（km/h）",notes = "")
    private Double outSpeed;
    @ApiModelProperty(name = "排队长度（米）",notes = "")
    private Double queueLength;
    @ApiModelProperty(name = "停车次数",notes = "")
    @JsonSerialize(using = DoubleToTwoDecimalPlacesSerializer.class)
    private Double stopTimes;
    @ApiModelProperty(name = "延误时间",notes = "")
    private Integer delayTime;
    @ApiModelProperty(name = "通行能力（辆/某一时段内最大过车数）,通行能力=自然流量",notes = "")
    private Integer capacity;
    @ApiModelProperty(name = "饱和度",notes = "")
    private Double sturation;
    @ApiModelProperty(name = "车头间距（米）",notes = "")
    private Double vehheadDist;
    @ApiModelProperty(name = "车头时距（秒）",notes = "")
    private Double vehheadTime;
    @ApiModelProperty(name = "可信度（0-1）",notes = "")
    private Double quality;

    @ApiModelProperty(name = "不停车率",notes = "")
    private Double noStopRate;
    @ApiModelProperty(name = "一次停车率",notes = "")
    private Double oneStopRate;
    @ApiModelProperty(name = "二次停车率",notes = "")
    private Double twoStopRate;
    @ApiModelProperty(name = "三次停车率",notes = "")
    private Double threeStopRate;
    @ApiModelProperty(name = "开始时间",notes = "")
    private Date startTime;
    @ApiModelProperty(name = "采集时间（10位时间戳）",notes = "")
    private Integer batchTime;
    @ApiModelProperty(name = "创建时间",notes = "")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date gmtCreate ;
    @ApiModelProperty(name = "修改时间",notes = "")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date gmtModified ;
    @ApiModelProperty(value = "溢流率", notes = "")
    private Double effusionRate;
    @ApiModelProperty(value = "绿灯有效利用率", notes = "")
    private Double greenLightEfficiency;
    @ApiModelProperty(value = "车辆负荷比", notes = "")
    private Double vehicleNumsRatioMean;
    @ApiModelProperty(value = "空间长度占比", notes = "")
    private Double vehicleLengthRatioMean;
    @ApiModelProperty(value = "时间占有率", notes = "")
    private Double timeOccupancy;

    @ApiModelProperty(value = "非机动车流量", notes = "")
    private int nonMotorFlow;
    @ApiModelProperty(value = "85位速度（km/h）", notes = "")
    @TableField(value = "v_85")
    private double v85;
    @ApiModelProperty(value = "大车流量", notes = "")
    private int trafficFlowA;
    @ApiModelProperty(value = "中车流量", notes = "")
    private int trafficFlowB;
    @ApiModelProperty(value = "小车流量", notes = "")
    private int trafficFlowC;

}
