package net.wanji.databus.po;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @ClassName CrossSchemeInfoPO
 * @Description 路口方案及相位等信息
 * @Author zhouleilei
 * @Date 2024/11/24 21:26
 */
@Data
public class CrossSchemeInfoPO {

    @ApiModelProperty(name = "路口编号", notes = "")
    private String crossId;

    @ApiModelProperty(name = "方案id", notes = "")
    private String schemeId;

    @ApiModelProperty(name = "方案号", notes = "")
    private String schemeNo;

    @ApiModelProperty(name = "相位号", notes = "")
    private String phaseNo;

    @ApiModelProperty(name = "相位时间", notes = "")
    private String phaseTime;

    @ApiModelProperty(name = "相位id", notes = "")
    private String phaseId;

    @ApiModelProperty(name = "绿灯时间", notes = "")
    private String greenTime;

    @ApiModelProperty(name = "黄灯时间", notes = "")
    private String yellowTime;

    @ApiModelProperty(name = "红灯时间", notes = "")
    private String redTime;

    @ApiModelProperty(name = "灯组id", notes = "")
    private String lightsId;

    @ApiModelProperty(name = "灯组方向", notes = "")
    private String dir;

    @ApiModelProperty(name = "车道id", notes = "")
    private String landId;

    @ApiModelProperty(name = "车道转向", notes = "1左转；2直行；3右转；4掉头；5直左；6直右；7左直右；8左右；9左转掉头；10直行掉头；11右转掉头；12左直掉头；13直右掉头；14左直右掉头；15左右掉头")
    private String turn;

    @ApiModelProperty(name = "车道类别", notes = "1机动车；2非机动车；3公交专用；4可变；5潮汐")
    private String laneType;


}
