package net.wanji.databus.po;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * @ClassName EventInfoTrafficStatusPO
 * @Description 路口监测、干线监测-交通状态
 * @Author zhouleilei
 * @Date 2025/1/14 15:14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("t_event_info")
@ApiModel(value = "EventInfoTrafficStatusPO", description = "交通事件信息")
public class EventInfoTrafficStatusPO {
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "路口编号")
    @JsonProperty("crossId")
    //@JSONField(name = "eventType")
    private String crossId;

    @ApiModelProperty(value = "日期/天")
    @JsonProperty("dt")
    //@JSONField(name = "eventType")
    private String dt;

    @ApiModelProperty(value = "二级类别")
    @JsonProperty("eventType")
    //@JSONField(name = "eventType")
    private String eventType;

    @ApiModelProperty(value = "事件发生时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date startTime;

    @ApiModelProperty(value = "事件结束时间")
    //@JSONField(format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date endTime;

    @ApiModelProperty(value = "事件持续时长，单位秒")
    private Integer duration;

    @ApiModelProperty(value = "事件发生次数")
    private Integer count=1;

    @ApiModelProperty(value = "横轴时间轴start", notes = "")
    private String timeAxisStart;
}
