package net.wanji.databus.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;
import net.wanji.databus.config.DoubleToTwoDecimalPlacesSerializer;


import java.util.Date;
import java.util.List;

@NoArgsConstructor
@Data
@ApiModel(value = "GreenwaveListVO", description = "问题子区列表元素")
public class GreenwaveListVO {
    @ApiModelProperty(value = "绿波ID")
    private Integer id;
    @ApiModelProperty(value = "绿波方向类型")
    private String type;
    @ApiModelProperty(value = "子区名称")
    private String name;
    @ApiModelProperty(value = "协调方式：0未开启；1相位差优化；2选择方案")
    private Integer infoStatus;
    @ApiModelProperty(value = "路口状态：1畅通；2缓行；3拥堵；5未知")
    private Integer realtimeStatus;
    @ApiModelProperty(value = "拥堵指数")
    @JsonSerialize(using = DoubleToTwoDecimalPlacesSerializer.class)
    private Double trafficIndex;
    @ApiModelProperty(value = "开始时间 格式 08:20:23")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "HH:mm:ss", timezone = "GMT+8")
    private Date startTime;
    @ApiModelProperty(value = "结束时间 格式 08:20:23")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "HH:mm:ss", timezone = "GMT+8")
    private Date endTime;
    @ApiModelProperty(value = "持续时长 分钟")
    private Long duration;
    @ApiModelProperty(value = "区域边界")
    private String wkt;
    @ApiModelProperty(value = "行程时间")
    private int travelTime;
    @ApiModelProperty(value = "行程速度")
    @JsonSerialize(using = DoubleToTwoDecimalPlacesSerializer.class)
    private Double speed;
    @ApiModelProperty(value = "停车次数")
    private Integer stopTimes;
    @ApiModelProperty(value = "路口列表")
    private List<CrossListElement> crossList;

    @NoArgsConstructor
    @Data
    public static class CrossListElement {
        @ApiModelProperty(value = "路口ID")
        private String crossId;
        @ApiModelProperty(value = "路口名称")
        private String name;
        @ApiModelProperty(value = "路口坐标")
        private List<Double> location;
    }
}
